# MatLUFactor

Performs in-place LU factorization of matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatLUFactor(Mat mat,IS row,IS col,MatFactorInfo *info)

Collective on Mat

### Input Parameters

| mat | - the matrix
| row | - row permutation
| col | - column permutation
| info | - options for factorization, includes

             fill - expected fill as ratio of original fill.

             dtcol - pivot tolerance (0 no pivot, 1 full column pivoting)

                      Run with the option -info to determine an optimal value to use

### Notes

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

This changes the state of the matrix to a factored matrix; it cannot be used for example with MatSetValues() unless one first calls MatSetUnfactored().

### See Also

MatLUFactorSymbolic(), MatLUFactorNumeric(), MatCholeskyFactor(),
MatGetOrdering(), MatSetUnfactored(), MatFactorInfo

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages